
Redmine - Defect #26350

Don't display file download button while on repository directory entries

2017-07-05 03:43 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.4.1   

Resolution: Fixed Affected version: 3.4.0

Description

As the subject states, the file download button is also displayed on repository directory entries. This obviously shouldn't be the case.

This issue has been introduced with r16672 for #26035.

I'll attach a small patch fixing the issue. I've included the addition of a test assertion (for Git) showcasing the issue. I am not sure

what is the best place to test this properly, so I've left multiple of such assertions out of the other adapters.

The patch, against source:/trunk@16749, is produced using git format-patch which makes it apply-able using "patch -p1 < 0001-...".

Environment:

Environment:

  Redmine version                3.4.0.devel@r16749

  Ruby version                   2.3.3-p222 (2016-11-21) [x86_64-linux]

  Rails version                  4.2.8

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.8

  Git                            1.9.1

  Filesystem                     

Redmine plugins:

  no plugin installed

Related issues:

Related to Redmine - Feature #26035: More visually consistent download links Closed

Associated revisions

Revision 16762 - 2017-07-06 18:45 - Jean-Philippe Lang

Don't display download button for dir entries (#26350).

Patch by Mischa The Evil.

Revision 16763 - 2017-07-06 18:45 - Jean-Philippe Lang

Merged r16762 (#26350).

History

#1 - 2017-07-05 03:53 - Mischa The Evil

- Related to Feature #26035: More visually consistent download links added

#2 - 2017-07-06 18:45 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fix committed, thanks.
https://www.redmine.org/projects/redmine/repository/svn/revisions/16672
https://www.redmine.org/issues/26035
https://www.redmine.org/projects/redmine/repository/svn/revisions/16749/entry/trunk


Files

0001-Don-t-display-download-button-for-dir-entries.patch 1.57 KB 2017-07-05 Mischa The Evil
